'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (context) {
  var opts = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  // validate opts

  var browsers = opts.browsers || ['last 2 versions'];
  return {
    presets: [[require.resolve('babel-preset-env'), {
      targets: { browsers: browsers },
      debug: opts.debug,
      modules: false
    }], require.resolve('babel-preset-react'), require.resolve('babel-preset-stage-0')],
    plugins: plugins
  };
};

var env = process.env.NODE_ENV;

var plugins = [require.resolve('babel-plugin-react-require'), require.resolve('babel-plugin-syntax-dynamic-import'), require.resolve('babel-plugin-transform-runtime')];

if (env === 'development') {
  plugins.push.apply(plugins, [require.resolve('babel-plugin-transform-react-jsx-source')]);
} else if (env === 'production') {
  plugins.push.apply(plugins, [require.resolve('babel-plugin-transform-react-remove-prop-types')]);
}

module.exports = exports['default'];