const env = process.env.NODE_ENV;

const plugins = [
  require.resolve('babel-plugin-react-require'),
  require.resolve('babel-plugin-syntax-dynamic-import'),
  require.resolve('babel-plugin-transform-runtime'),
];

if (env === 'development') {
  plugins.push.apply(plugins, [
    require.resolve('babel-plugin-transform-react-jsx-source'),
  ]);
} else if (env === 'production') {
  plugins.push.apply(plugins, [
    require.resolve('babel-plugin-transform-react-remove-prop-types'),
  ]);
}

export default function(context, opts = {}) {
  // validate opts

  const browsers = opts.browsers || ['last 2 versions'];
  return {
    presets: [
      [
        require.resolve('babel-preset-env'),
        {
          targets: { browsers },
          debug: opts.debug,
          modules: false,
        },
      ],
      require.resolve('babel-preset-react'),
      require.resolve('babel-preset-stage-0'),
    ],
    plugins,
  };
}
